/*
 * Copyright 2016 - 2022 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include "tilesheeteditor-imgui.hpp"

#include "module.hpp"

namespace nostalgia::core {

ox::Vector<studio::EditorMaker> Module::editors(core::Context *ctx) {
	return {
		{
			{"ng"},
			[ctx](const ox::String &path) {
				return new TileSheetEditorImGui(ctx, path);
			}
		}
	};
}

}